CK_BITMAP_TEST(3)

NAME
ck_bitmap_test - determine if the bit at the specified index is set

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_bitmap.h>
bool
ck_bitmap_test(ck_bitmap_t *bitmap, unsigned int n);

DESCRIPTION
The ck_bitmap_test() determines if the bit at the offset specified by the argument n is set to 1.

RETURN VALUES
This function returns true if the bit at the specified offset is set to 1 and otherwise returns false.

SEE ALSO
ck_bitmap_base(3), ck_bitmap_size(3), ck_bitmap_init(3), ck_bitmap_set_mpmc(3), ck_bitmap_reset_mpmc(3), ck_bitmap_clear(3), ck_bitmap_bits(3), ck_bitmap_buffer(3)

Additional information available at http://concurrencykit.org/